### Type parameters

- #### W

### Hierarchy

- WritableStreamDefaultWriter

## Index

### Properties

- closed
- desiredSize
- ready

### Methods

- abort
- close
- releaseLock
- write

## Properties

### closed

closed: Promise<void>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16773

### desiredSize

desiredSize: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16774

### ready

ready: Promise<void>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16775

## Methods

### abort

- abort(reason?: any): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16776

  #### Parameters

  - ##### Optional reason: any

  #### Returns Promise<void>

### close

- close(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16777

  #### Returns Promise<void>

### releaseLock

- releaseLock(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16778

  #### Returns void

### write

- write(chunk: W): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16779

  #### Parameters

  - ##### chunk: W

  #### Returns Promise<void>

Generated using TypeDoc